<?php

/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 

function mktime_this_date($date) {
    Global $lang;
    
    if($lang=="fr") {
        $this_mktime =mktime(0,0,0,substr($date,3,2),substr($date,0,2),substr($date,6,4));
    };

    if($lang=="en") {
        $this_mktime =mktime(0,0,0,substr($date,5,2),substr($date,8,2),substr($date,0,4));
    };

    return $this_mktime ;

};


function from_gmtdatehour($gmtdatehour)
{
        $date = substr($gmtdatehour,0,8);
        $french_format = get_date_french_format($date) ;

        $hour   = substr($gmtdatehour,8,2);
        $minute = substr($gmtdatehour,10,2);

        $this_date = "$french_format, $hour:$minute (GMT)";

        return $this_date ;

}


/*
Retourne la version litterale courte d'un mois
$month_nb : numero du mois au format mm
*/
function get_month($month_nb) 
{
    $mois = $month_nb; 
        
    if($mois=="01"){$mois="Jan.";};
    if($mois=="02"){$mois="Fev.";};
    if($mois=="03"){$mois="Mars";};
    if($mois=="04"){$mois="Avr.";};
    if($mois=="05"){$mois="Mai";};
    if($mois=="06"){$mois="Juin";};
    if($mois=="07"){$mois="Juil.";};
    if($mois=="08"){$mois="Aout";};
    if($mois=="09"){$mois="Sept.";};
    if($mois=="10"){$mois="Oct.";};
    if($mois=="11"){$mois="Nov.";};
    if($mois=="12"){$mois="Dec.";};
    
    return $mois;
    
};

/*
Retourne une date au format anglo-saxon : yyyy-mm-dd
$date : date au format dd-mm-yyyy | dd.mm.yyyy | dd/mm/yyyy 
*/

function mv_fr_format_to_us($date)
{
    
    $date = preg_replace("/[^0-9]/","",$date);
    $timestamp="";
    $year  = substr($date,4,4);
    $month  = substr($date,2,2);
    $day  = substr($date,0,2);

    $us_format = $year."-".$month."-".$day ;

    return $us_format ;

}



/*
Retourne la version courte du nom de la journee en francais
$date : date au format anglo-saxon  yyyymmdd, yyyy/mm/dd, yyyy-mm-dd...
*/
function get_day($date) 
{

    $date = preg_replace("/[^0-9]/","",$date);
    $timestamp="";
    $year  = substr($date,0,4);
    $month  = substr($date,4,2);
    $day  = substr($date,6,2);
    
    $timestamp = mktime(0,0,0,$month,$day,$year);
    $Day       = date('l',$timestamp);
    
    if($Day=="Monday"){$this_day="Lun.";};
    if($Day=="Tuesday"){$this_day="Mar.";};
    if($Day=="Wednesday"){$this_day="Mer.";};
    if($Day=="Thursday"){$this_day="Jeu.";};
    if($Day=="Friday"){$this_day="Ven.";};
    if($Day=="Saturday"){$this_day="Sam.";};
    if($Day=="Sunday"){$this_day="Dim.";};
    
    return $this_day;
    
};

/*
Retourne une date au format francais : Jeu. 03 Mars 2011
$date : date au format anglo-saxon yyyy-mm-dd
*/

function get_date_french_format($date)
{

    $date = preg_replace("/[^0-9]/","",$date);

        $timestamp="";
        $year   = substr($date,0,4);
        
    $month  = substr($date,4,2);
     $Month = get_month($month);
        
    $day    = substr($date,6,2);
     $litteral_day = get_day($date);

    $french_format = "$litteral_day $day $Month $year";

        return $french_format;

};

/*
Retourne une date au format francais : Jeu. 03/03/2011
*/

function get_date_french_format_with_number_month($date)
{

        $date = preg_replace("/[^0-9]/","",$date);

        $timestamp="";
        $year   = substr($date,0,4);
        $month  = substr($date,4,2);
        $day    = substr($date,6,2);
         $litteral_day = get_day($date);

        $french_format = "$litteral_day $day/$month/$year";

        return $french_format;

};



function get_date_en_format($date)
{

    $date = preg_replace("/[^0-9]/","",$date);
    $year   = substr($date,0,4);
    $month  = substr($date,4,2);
    $day    = substr($date,6,2);
    $timestamp = mktime(0,0,0,$month,$day,$year);	

    $en_format = date("D",$timestamp ).", the ".date("dS",$timestamp ). " of ".date("M. Y",$timestamp );

    return $en_format;

};


/*

*/
function get_litteral_date($date)
{
    Global $lang;
    
    if($lang=="fr") 
    {
         $this_d = get_date_french_format($date);
    };
    if($lang=="en")
    {
          $this_d = get_date_en_format($date);
    }; 	
   	
   return $this_d;

}


function get_date_from_timestamp($timestamp) {
    Global $lang;
    
    $timestamp += 0;
    if($lang=="fr") 
    {
         $this_d = date("d/m/Y",$timestamp);
    };
    if($lang=="en")
    {
          $this_d = date("Y/m/d",$timestamp);
    }; 	
   	
   return $this_d; 

}


?>